Package org.apache.nutch.indexer

# Class IndexerMapReduce.IndexerReducer

java.lang.Object
org.apache.hadoop.mapreduce.Reducer<Text,NutchWritable,Text,NutchIndexAction>
org.apache.nutch.indexer.IndexerMapReduce.IndexerReducer

Enclosing class:
  IndexerMapReduce

public static class IndexerMapReduce.IndexerReducer extends Reducer<Text,NutchWritable,Text,NutchIndexAction>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer

  `Reducer.Context`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IndexerReducer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cleanup(Reducer<Text,NutchWritable,Text,NutchIndexAction>.Context context)`
  `void`
  `reduce(Text key, Iterable<NutchWritable> values, Reducer<Text,NutchWritable,Text,NutchIndexAction>.Context context)`
  `void`
  `setup(Reducer<Text,NutchWritable,Text,NutchIndexAction>.Context context)`

  ### Methods inherited from class org.apache.hadoop.mapreduce.Reducer

  `run`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IndexerReducer

    public IndexerReducer()

- ## Method Details

  - ### setup

    public void setup(Reducer<Text,NutchWritable,Text,NutchIndexAction>.Context context)
    Overrides:
      `setup` in class `Reducer<Text,NutchWritable,Text,NutchIndexAction>`

  - ### cleanup

    public void cleanup(Reducer<Text,NutchWritable,Text,NutchIndexAction>.Context context) throws IOException, InterruptedException
    Overrides:
      `cleanup` in class `Reducer<Text,NutchWritable,Text,NutchIndexAction>`
    Throws:
      `IOException`
      `InterruptedException`

  - ### reduce

    public void reduce(Text key, Iterable<NutchWritable> values, Reducer<Text,NutchWritable,Text,NutchIndexAction>.Context context) throws IOException, InterruptedException
    Overrides:
      `reduce` in class `Reducer<Text,NutchWritable,Text,NutchIndexAction>`
    Throws:
      `IOException`
      `InterruptedException`